Skip to content
This is a new version of the Kivra Developer Docs. Report issues or share feedback at avsandare.support@kivra.se. The previous version can be found here.

Agreement object with current status and updated metadata

GET
/v1/tenant/{tenantKey}/agreement/{agreementKey}
curl --request GET \
--url https://sender.api.kivra.com/v1/tenant/example/agreement/example \
--header 'Authorization: Bearer <token>'

Get an agreement with current status and updated metadata

  • oAuth2Client
    post:kivra.v1.tenant.{tenantKey}.agreement.{agreementKey}
tenantKey
required
string format: hexadecimal

The unique Key for a Tenant

agreementKey
required
string format: hexadecimal

The unique Key for an Agreement

Agreement object with current status and updated metadata

Media typeapplication/json
AgreementStateDetailed
object
subject

Name of the agreement

string
created_at

The time when the agreement was created

string
expires_at

The expiration time for the agreement, if the agreement is not completed before this date, it will no longer be available for signature

string
state

The current state of the agreement

string
Allowed values: active generating completed revoked
tenant_name

The name of the tenant that created the agreement

string
tenant

The tenant key that created the agreement

string
type

The type of agreement as provided by the sender when the agreement was created

string
signatures

List of signatures

Array<object>
AgreementSignature
object
ssn

Signer’s unique SSN, format: YYYYMMDDnnnn

string
real_name

The real name of the signer, as provided by Mobile BankID service

string
created_at

The time when the signature was created

string
order_ref

The unique ID of the signature

string
parties

List of signers and delegates that are requested to sign the agreement

Array<object>
AgreementParties
object
ssn

User’s unique SSN, format: YYYYMMDDnnnn

string
name

Name of the user

string
email

Email to be used to contact the user

string
role

The role of the user in this signature flow

string
Allowed values: signer delegate
Example
{
"subject": "Employment agreement",
"created_at": "2019-04-09T13:42:26Z",
"expires_at": "2019-05-09T13:42:26Z",
"state": "active",
"tenant_name": "Sender AB",
"tenant": "tenant_154442474745511bbaaa5b44b391eae0513e2c55a0",
"type": "agreement",
"signatures": [
{
"ssn": "197701032380",
"real_name": "Jan-Erik Karlsson",
"created_at": "2019-04-12T08:23:29Z",
"order_ref": "d4ace777-6b91-4172-903e-39371ede89f1"
},
{
"ssn": "198112172385",
"real_name": "Gustav Johan Larsson",
"created_at": "2019-04-11T18:53:03Z",
"order_ref": "f5bce777-0b42-4222-1f3e-ab523ede7a5f"
}
],
"parties": [
{
"ssn": "197701032380",
"name": "Jan-Erik Karlsson",
"email": "je.karlsson.hem@email.nu",
"role": "signer"
},
{
"ssn": "198112172385",
"name": "Gustav Larsson",
"email": "gustav123@mymail.com",
"role": "delegate"
}
]
}